Subject: bug#40838: 28.0.50; [feature/native-comp] Function overrides in init.el are not honored after deferred compilation

From: Ihor Radchenko <[email-masked]>
Date: Tue, 28 Apr 2020 22:40:19 +0800

> It would certanly help if you could provide a reproducer.

I was trying to make a simple recipe to reproduce this, but failed.
The bug only appears with my config (though I do not see any problem
when not using native-comp branch).
Will try to narrow down the exact cause, but it may take a while.

Best,
Ihor

Andrea Corallo <[email-masked]> writes:

> Ihor Radchenko <[email-masked]> writes:
>
> Hi Ihor,
>
>>> I believe bab36619fb should fix the issue (at least fixes a bug with the
>>> same sympthom).
>>>
>>> I leave the bug open for your confirmation.
>>
>> I am on c984a53b4e198e31d11d7bc493dc9a686c77edae. The issue is _not_
>> fixed.
>
> No need for underlying I'd read it anyway :)
>
>> If it helps, I redefined org-agenda-highlight-todo using el-patch.
>
> It would certanly help if you could provide a reproducer.
>
> Thanks!
>
>   Andrea
>
> --
> [email-masked]

-- 
Ihor Radchenko,
PhD,
Center for Advancing Materials Performance from the Nanoscale (CAMP-nano)
State Key Laboratory for Mechanical Behavior of Materials, Xi'an Jiaotong University, Xi'an, China
Email: [email-masked], [email-masked]